using PTMedicalInsurance.FormSetter;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Business.Core.Forms.DischargeAudit
{
    class GridViewSetter : GridViewSetterBase
    {
        public void setHisRegInfo(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            AddDGVColumn(dgv, "分中心编号", "InsuranceAreaCode");
            AddDGVColumn(dgv, "姓名", "PatientName", 80);
            AddDGVColumn(dgv, "医保就诊号", "InsuRegID", 200);
            AddDGVColumn(dgv, "支付类别", "MedicalType");
            AddDGVColumn(dgv, "个人编号", "PersonalNO", 250);
            AddDGVColumn(dgv, "公民身份号码", "CertificateNO", 250);
            AddDGVColumn(dgv, "执行社会保险办法", "InsuType", 200);
            AddDGVColumn(dgv, "登记日期", "RegDate", 200);
            AddDGVColumn(dgv, "就诊科室", "AdmInDepName", 180);
            AddDGVColumn(dgv, "就诊ID", "Adm_Dr");
            AddDGVColumn(dgv, "主诊医生", "ChiefPhyDocName");
            dgv.ColumnHeadersDefaultCellStyle.Font = new Font("宋体", 9, FontStyle.Bold);
            dgv.ColumnHeadersHeight = 30;
        }

        public void setCenterApplyInfo(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            //AddDGVColumn(dgv, "定点机构编码", "prm_akb020");
            AddDGVColumn(dgv, "姓名", "prm_aac003", 80);
            AddDGVColumn(dgv, "医保就诊号", "str_akc190", 200);
            AddDGVColumn(dgv, "支付类别", "prm_aka130",80);
            AddDGVColumn(dgv, "个人编号", "prm_aac001", 250);
            AddDGVColumn(dgv, "经办人编号", "prm_aae011", 100);
            AddDGVColumn(dgv, "经办人姓名", "prm_ykc141", 80);
            AddDGVColumn(dgv, "经办时间", "prm_aae036", 200);
            AddDGVColumn(dgv, "公民身份号码", "prm_aac002", 250);
            AddDGVColumn(dgv, "执行社会保险办法", "prm_ykb065", 120);
            AddDGVColumn(dgv, "单位编号", "prm_aab001", 250);
            AddDGVColumn(dgv, "单位名称", "prm_aab004", 180);
            AddDGVColumn(dgv, "无密码结算原因", "prm_aae013",300);
            AddDGVColumn(dgv, "审核标志", "rchk_flag",120);
            AddDGVColumn(dgv, "审核人姓名", "rchk_name",80);
            AddDGVColumn(dgv, "审核时间", "rchk_time", 200);
            AddDGVColumn(dgv, "审核原因", "rchkOpnn",300);
            dgv.ColumnHeadersDefaultCellStyle.Font = new Font("宋体", 9, FontStyle.Bold);
            dgv.ColumnHeadersHeight = 30;
        }
    }
}
